GPG Error When Installing Jenkins

Package jenkins is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source E: Package 'jenkins' has no installation candidate This is the wrror you got. Yes it made me crazy. Anyways, I'm...

How to install Moodle on Ubuntu 16.04

Hello again, in this article you will be able to learn another experience i got in my career. As a person who loves to do more experiments, I just bought two servers (Linode and Digital Ocean) with different level Resources. Install and Configure Apache and Services Install PHP 7.2 (Minimum...

Install MariaDB 10.4 on Ubuntu 18.04

Hello friends, this tutorial is specially targeted on moodle installation. When I tried to install MariaDB updated version, server installed the old one. But When I tried to upgrade with MySQL-upgrade command, server said, you have the latest version. But moodle said, not you don't have the latest version, just...